package com.yc.education.mapper;

import com.yc.education.model.NewsType;
import com.yc.education.util.MyMapper;

import java.util.List;

/**
 * @author Hickey
 * @create 2019-07-23 14:44
 */
public interface NewsTypeMapper  extends MyMapper<NewsType> {

    //前台     查询所有新闻类别信息
    List<NewsType> listAllType();

    // 前台  查询类别中权重最大的类别id,传给新闻中心界面
    NewsType listIdByWeight();

    //后台 批量删除
    int deleteTypeArray(int [] typeArray);

}
